Hebdobot - Demande #5032

Erreur au pastage de la revue
18/12/2020 15:11 - Christian P. Momon

Statut: Résolu Début: 18/12/2020
Priorité: Normale Echéance:

Assigné a: Christian P. Momon % réalisé: 0%
Catégorie: Temps estimé: 0.00 heure

Version cible:

Difficulteé: 3 Moyen

Description
Pour la revue du 18/12/2020, Hebdobot n'a pas mis le compte-rendu en paste :

12:18 < lonugem> !fin

12:18 < Hebdobot> % C'était la 445e revue hebdomadaire de 1'April, la 49e de 1l'année 2020.
12:18 < Hebdobot> % Compte-rendu de la revue : erreur

12:18 < Hebdobot> % Durée de la revue : 16 minutes

12:18 < Hebdobot> % Nombre de personnes participantes : 10

Demande : investiguer, corriger, voire migrer vers paste.chapril.org

Historique

#1 - 18/12/2020 15:13 - Christian P. Momon

- Statut changé de Nouveau a En cours de traitement

Les logs :

2020-12-18 12:18:36,639 - HEBDOBOT [INFO ] ebdobot.bot.hooks.FinishReviewHook.attemptProcess - Past
ebin the review.

2020-12-18 12:18:38,546 - HEBDOBOT [ERROR] ebdobot.bot.hooks.FinishReviewHook.attemptProcess - Erro

r during Pastebin submit.
org.april.hebdobot .HebdobotException: org.april.hebdobot.pastebin.APIException: Pastebin’s SMART filters have
detected potentially offensive or questionable content in your paste. This paste can only be published with t

he visibility set to "Private".

at org.april.hebdobot.pastebin.PastebinClient.paste (PastebinClient.java:446)

at org.april.hebdobot.pastebin.PastebinClient.paste (PastebinClient. java:470)

at org.april.hebdobot.bot.hooks.FinishReviewHook.attemptProcess (FinishReviewHook. java:123)

at org.april.hebdobot.bot.hooks.HookManager.attemptProcess (HookManager. java: 94)

at org.april.hebdobot.bot.Hebdobot.onMessage (Hebdobot. java:326)

at org.jibble.pircbot.PircBot.handlelLine (PircBot. java:990)

at org.jibble.pircbot.InputThread.run (InputThread. java:92)
Caused by: org.april.hebdobot.pastebin.APIException: Pastebin’s SMART filters have detected potentially offen
sive or questionable content in your paste. This paste can only be published with the visibility set to "Priva
EEel®

at org.april.hebdobot.pastebin.APIException.throwIfError (APIException. java:49)

at org.april.hebdobot.pastebin.PastebinClient.paste (PastebinClient. java:430)

6 more

2020-12-18 12:18:38,552 - HEBDOBOT [INFO ] ebdobot.bot.hooks.FinishReviewHook.attemptProcess - Writ
e review file.

#2 - 18/12/2020 15:15 - Christian P. Momon

- Sujet changé de Erreur a Erreur au pastage de la revue

#3 - 11/01/2021 15:15 - Christian P. Momon

Arrivé a nouveau le vendredi 08/01/2021.

#4 - 11/01/2021 15:17 - Christian P. Momon

- Statut changé de En cours de traitement a Résolu
Le probléme vient de I'actuel service de paste utilisé : utilisation d'un algorithme de détection de spam, a priori qui fait n'importe quoi.
La solution est d'en changer, ce qui est déja acté, voir #3363.
Rien de plus ne peut étre fait pour ce ticket.
https://redmine.april.org/issues/3363
http://www.tcpdf.org

